
<?php $_default_image = '/img/mobile/icons/non-image-approval.png'; ?>
	<div id="natural-pic-block" class="c-body">
		<div class="c-head">
			<h2 class="c-title"><?= $this->t('natural_pic') ?></h2>
			<div class="clear"></div>
			<p class="note-info"><?= $this->t('natural_pic_intro') ?></p>
		</div>

		<div class="content-wrapper c-content">
			<div class="c-body-1">
				<? /* if( !$this->nat_pic ):?>
					<h2 class="c-title"><?= $this->t('dont_have_natural_pic') ?></h2>
				<? endif; */ ?>

				<div class="clearFloat">
					<div class="natural-box-wrapper clearFloat">
						<form id="form-upload" class="natural-box"
							  action="<?= $this->getLink('private-v2-natural-pic-action')?>"
							  method="post" enctype="multipart/form-data" >

							<input type="hidden" id="act_status" name="act" value="upload" />
							<?php if( $this->user->isAgency() ): ?>
								<input type="hidden" id="escort_id" name="escort" value="<?=$this->escort_id?>" />
							<?php endif; ?>

							<? if( $this->nat_pic ):?>
								<div class="no-natural-pic">
									<div class="collapse-content">
										<p class="img-name">
											<input type="button" class="clear-image" value="×">
										</p>

										<label for="naturPic" class="tmp-wrapper" style="background: url('<?=$this->image_url?>') center center no-repeat;">

											<?php if($this->nat_pic['status'] == Model_NaturalPic::STATUS_PENDING):?>
												<strong class="nat-pending"><?= $this->t('pending') ?></strong>
											<?php elseif($this->nat_pic['status'] == Model_NaturalPic::STATUS_REJECTED):?>
												<strong class="nat-rejected"><?= $this->t('verify_rejected') ?></strong>
											<?php elseif($this->nat_pic['status'] == Model_NaturalPic::STATUS_VERIFIED): ?>
												<strong class="nat-verified"><?= $this->t('verify_verified') ?></strong>
											<?php endif; ?>

										</label>

										<input id="naturPic" class="check-image" onchange="MCubix.Agency.Model.NaturalPic.showTempImage( this )" type="file" name="Filedata">
									</div>
								</div>
							<? else:?>
								<div class="no-natural-pic">
									<div class="collapse-content">
										<p class="img-name">
											<input type="button" class="clear-image" value="×">
										</p>

										<label for="naturPic" class="tmp-wrapper">
											<img src="<?=$_default_image?>" class="show-tmp-image">
										</label>

										<input id="naturPic" class="check-image" onchange="MCubix.Agency.Model.NaturalPic.showTempImage( this )" type="file" name="Filedata">
									</div>
								</div>
							<? endif;?>
							<input type="button" id="uploadNatural" value="<?=__('upload_natural_pic')?>" />
						</form>
					</div>
				</div>

				<?php /*
				<div class="info">
					<h2>INFO</h2>
					<span class="info-arrow"></span>
					<p class="check"> Photo should NOT be edited with photoshop or any other editing program.</p>
					<p class="check"> On the photo, you should not wear too much make up. </p>
					<p class="check"> You must hold a paper in your hands which shows the today’s date. </p>
					<p class="check"> Good example (<a href="#" id="click-highslide">Click to enlarge</a>)</p>
					<div class="example">
						<a class='highslide' onclick='return hs.expand(this)' href='<?= _st('photo-video/natural_ex.jpg') ?>'>
							<img class="img-file" src="<?= _st('photo-video/natural_ex_small.jpg') ?>" width="143" height="178" alt="" />
						</a>
					</div>

				</div>
				<div class="clear"></div>
				*/ ?>
			</div>
		</div>

		<span class="show-error"></span>
	</div>
<script type="text/javascript">
	$(document).ready(function(){
		MCubix.Agency.Model.NaturalPic.init();
	});

	MCubix.Agency.Model.NaturalPic = {
		init: function(){
			this.uploadNaturalPic();
		},

		showTempImage: function( input ){
			var self = this,
				tmp_wrapper = $('.tmp-wrapper');

			if ( input.files && input.files[0] ) {
				var fileReader = new FileReader();

				fileReader.onload = function ( e ) {
					tmp_wrapper.find('img').addClass('hide');
					tmp_wrapper.addClass('show').css('background', 'url("' + e.target.result + '") center center no-repeat');
				};

				fileReader.readAsDataURL( input.files[0] );

				self.tempImageName( $( input ) );
			}
		},

		tempImageName:function( elm ){
			var self = this;

			if( elm instanceof jQuery ){
				var fullPath = elm.val();

				if ( fullPath ) {
					var startIndex = (fullPath.indexOf('\\') >= 0 ? fullPath.lastIndexOf('\\') : fullPath.lastIndexOf('/')),
							filename = fullPath.substring(startIndex);

					if (filename.indexOf('\\') === 0 || filename.indexOf('/') === 0) {
						filename = filename.substring(1);
					}

					var image_name = elm.closest('.collapse-item').find('p.img-name').addClass('show'),
							cl_image = image_name.find('.clear-image');

					image_name.html( filename).append( cl_image );

					self.clearImage( cl_image );

					return true;
				}
			}

			return false;
		},

		clearImage: function( _clear_btn ){

			if( !_clear_btn ){
				_clear_btn = $('.clear-image');
			}

			_clear_btn.on('click', function(){
				var _parent = $(this).closest('.collapse-item');

				_parent.find('.tmp-wrapper').find('.show-tmp-image').removeClass('hidden');
				_parent.find('.check-image').val('');
				_parent.find('.tmp-wrapper').removeClass('show').css('background', 'none');

				var image_name = $(this).closest('.collapse-item').find('p.img-name').removeClass('show'),
						cl_image = image_name.find('.clear-image');

				image_name.html( '').append( cl_image );
			});
		},

		uploadNaturalPic: function(){
			var self = this,
				_elm = $('#uploadNatural');

			_elm.on('click', function(){
				var _form = $(this).closest('#form-upload'),
					_img_inp = $('#naturPic');

				if( !_img_inp.val() ){
					_img_inp.addClass('error');
					return false;
				}

				var fd = new FormData( _form[0] );

				$.ajax({
					type: "POST",
					cache: false,
					processData: false,
					contentType: false,
					url: _form.attr('action'),
					data: fd,
					beforeSend: function(){
						MCubix.OverlayV2.init( true );
					},
					success: function( response ){
						/* ex. DONE  {"status":1,"name":"success","pic_id":"439","photo_url":"{ img_url }"} */
						/* ex. ERROR {"status":0,"error":"Please upload image bigger than 400 x 600 (*portrait*)"} */

						var _resp = $.parseJSON( response );

						if( _resp.status == 1 ){
							location.reload();
						} else {
							MCubix.OverlayV2.init( false );
							self.showError( _resp.error );
						}
					}
				});
			});
		},

		showError: function( msg ){
			var error_block = $('#natural-pic-block').find('.show-error');

			error_block.text( msg).fadeIn(300).delay(5000).fadeOut(300, function(){
				$(this).empty();
			})
		}
	};
</script>
